﻿# les lignes précédées d'un dièse sont des commentaires et sont ignorées par Python
# IMPORTATION DES MODULES #
# importation de NUMPY (pour gestion tableaux et calculs) sous l'alias "np"
import numpy as np
# importation de PYPLOT (du module MATPLOTLIB, pour le tracé de courbes) sous l'alias "plt"
import matplotlib.pyplot as plt
# Début du Programme principal #
# Création de listes à partir des données en abscisse et ordonnées:
I = np.array([0,0.001, 0.002, 0.0029, 0.004])
U = np.array([0,2, 4.1, 5.9, 8])
# Partie graphique
plt.title("Tension aux bornes du conducteur ohmique en fonction de I")
plt.xlabel("Intensité I en A")
plt.ylabel("Tension U en V")
Imin=0
Imax=0.005
Umin =0
Umax = 10
plt.axis([Imin, Imax, Umin, Umax])
plt.grid()
plt.plot(I, U,"r+")
plt.text (0.0005,6,"Nuage des points experimentaux",color='r')
# Modélisation numérique
a = 2050        # bon modèle: a = 2000
b = 2
Umod = a*I
plt.plot(I, Umod,"b-")
plt.text (0.001,0.5,"Courbe modélisée U="+str(a)+".I",color='b')
# Affichage de la fenêtre Matplotlib
plt.show()